October 25th, 2007

ronin

"Linux is only free if your time has no value."


I have wasted about the last day and a half trying to find some way, any way, to make yum install postfix 2.3 (or later) without updating every last package on the system. (We need to do this because we're using a milter to process DKIM results, and postfix doesn't support milters until 2.3.)

You may think this would be an easy thing. You might be scratching you head right now, wondering why this should be a problem. Well pour yourself a cold beverage of your choice, and let me tell you my tale of woe...

Collapse )

So what am I going to do? I'm going to download a source tarball and compile by hand. After I've done the same, by hand, for the three libraries I need. This is, incidentally, exactly what package managers were supposed to prevent us from having to do ever again!
  • Current Music
    Alanis Morissette - Ironic